Ingest a PACS study event
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/studies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message_id": "<string>",
"pacs_code": "<string>",
"external_study_id": "<string>",
"study_instance_uid": "<string>",
"accession_number": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"modality": "<string>",
"study_date": "2023-12-25",
"metadata": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message_id: '<string>',
pacs_code: '<string>',
external_study_id: '<string>',
study_instance_uid: '<string>',
accession_number: '<string>',
received_at: '2023-11-07T05:31:56Z',
modality: '<string>',
study_date: '2023-12-25',
metadata: {}
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/studies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/studies"
payload = {
"message_id": "<string>",
"pacs_code": "<string>",
"external_study_id": "<string>",
"study_instance_uid": "<string>",
"accession_number": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"modality": "<string>",
"study_date": "2023-12-25",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "processed",
"message_id": "<string>",
"outcome": {},
"error": "<string>"
}{
"status": "processed",
"message_id": "<string>",
"outcome": {},
"error": "<string>"
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"status": "processed",
"message_id": "<string>",
"outcome": {},
"error": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "Unauthenticated."
}Foundation and integrations
Ingest a radiology study
Submit a PACS study event to HMIS.
POST
/
radiology
/
integration
/
studies
Ingest a PACS study event
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/studies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message_id": "<string>",
"pacs_code": "<string>",
"external_study_id": "<string>",
"study_instance_uid": "<string>",
"accession_number": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"modality": "<string>",
"study_date": "2023-12-25",
"metadata": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message_id: '<string>',
pacs_code: '<string>',
external_study_id: '<string>',
study_instance_uid: '<string>',
accession_number: '<string>',
received_at: '2023-11-07T05:31:56Z',
modality: '<string>',
study_date: '2023-12-25',
metadata: {}
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/studies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/studies"
payload = {
"message_id": "<string>",
"pacs_code": "<string>",
"external_study_id": "<string>",
"study_instance_uid": "<string>",
"accession_number": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"modality": "<string>",
"study_date": "2023-12-25",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "processed",
"message_id": "<string>",
"outcome": {},
"error": "<string>"
}{
"status": "processed",
"message_id": "<string>",
"outcome": {},
"error": "<string>"
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"status": "processed",
"message_id": "<string>",
"outcome": {},
"error": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "Unauthenticated."
}Identical PACS messages are idempotent. Unknown or conflicting study links are accepted for reconciliation rather than silently linked.
Authorizations
Paste a Sanctum personal access token generated by a HMIS super administrator. Use only a token with the ability required by the selected operation.
Body
application/json
Maximum string length:
128Maximum string length:
64Maximum string length:
128Maximum string length:
128Maximum string length:
32Maximum string length:
32